@import 'index.scss';

@mixin truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product-id {
    width: 40px;
}

.product-type {
    @include truncate;
    flex: 1;
}

.product-name {
    @include truncate;
    flex: 1.5;
}

.product-ingr {
    @include truncate;
    flex: 1.5;
}

.product-active {
    width: 65px;
}

.backgroung-white {
    background-color: $white;
}

.align-center {
    align-items: center;
    justify-content: center;
}

.text-indent {
    text-indent: 16px;
}
.field-required {
    color: $orange;
    margin-left: 4px;
}
@mixin table-row {
    @include flex-row;
    @include roboto-slab-regular(20px, $black, 30px);
    width: calc(100% - 150px);
    margin-bottom: 4px;
    height: 40px;

    div,
    input {
        @include flex-row;
        margin-right: 4px;
        align-items: center;
        border: none;
        outline: none;

    }
}